Bug 532405 - IBus candidates window does not follow the cursor position in QT-based applications
IBus candidates window does not follow the cursor position in QT-based applic...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-02 01:59 EST by Caspar Zhang
Modified: 2013-07-03 03:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 01:05:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot for cursor (37.81 KB, image/png)
2009-11-11 20:39 EST, Parag Nemade
no flags Details

  None (edit)
Description Caspar Zhang 2009-11-02 01:59:29 EST
Description of problem:

att. ibus needs a cursor-following-up(in Chinese:光标跟随) function in qt-based applications

Version-Release number of selected component (if applicable):
ibus-1.2.0.20091014-2.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. open a qt-based application, such as qterm, amarok
2. type Chinese words in text fields
3.
  
Actual results:

the ''candidate words bar'' stays below the window and doesn't follow the cursor.

Expected results:

the bar follows the cursor

Additional info:
Comment 1 Ani Peter 2009-11-02 02:27:51 EST
I confirm Malayalam (ml_IN) locale too has this bug.
Tested on kwrite.
Comment 2 Jens Petersen 2009-11-10 18:05:38 EST
Have you tested with ibus-qt?
Comment 3 Parag Nemade 2009-11-11 20:39:29 EST
Created attachment 369121 [details]
screenshot for cursor

I think when we type character it appears in white or in shadow and accordingly cursor immediately can be seen as moved to next column.
Comment 4 Parag Nemade 2009-11-11 20:39:58 EST
yes ibus-qt is installed when tested.
Comment 5 Caspar Zhang 2009-11-11 21:56:04 EST
(In reply to comment #2)
> Have you tested with ibus-qt?  

Yes, ibus-qt works in almost qt applications, except opera. Opera still refuses to have cursor-following-up function :-(
Comment 6 Bug Zapper 2009-11-16 09:52:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Peng Huang 2009-11-25 01:04:42 EST
Some Opera versions use static qt4 library. So I can not use ibus-qt plugin in system qt4 library. It is a limitation.

Note You need to log in before you can comment on or make changes to this bug.